Skip to main content
PUT
Update
🔑 Requires the alert_route.update scope.

Authorizations

Authorization
string
header
required

API key from your incident.io dashboard (Settings → API keys)

Path Parameters

id
string
required

Unique identifier of the alert route

Example:

"01FCNDV6P870EA6S7TK1DSYDG0"

Body

application/json
alert_sources
object[]
required

Which alert sources this route matches

Example:
condition_groups
object[]
required

Filter: the condition groups that must be true for this route to fire

Example:
enabled
boolean
required

Whether this alert route is enabled

Example:

false

escalation_config
object
required
Example:
expressions
object[]
required

The expressions used by bindings in this route

Example:
grouping_config
object
required
Example:
incident_config
object
required
Example:
is_private
boolean
required

Whether this alert route is private. Private alert routes only create private incidents from alerts.

Example:

false

message_config
object
required
Example:
name
string
required

The name of this alert route, for the user's reference

Example:

"Production incidents"

version
integer<int64>
required

The version this update will create. It must be one more than the route's latest version, otherwise the update is rejected - guarding against concurrent edits.

Example:

1

owning_team_ids
string[]

IDs of teams that own this alert route

Example:

Response

200 - application/json

OK response.

alert_route
object
required